Skip to main content
GET
/
v1
/
crm
/
residuals
/
{residualId}
/
merchant-summaries
/
{merchantSummaryId}
/
details
List Residual Merchant Details
curl --request GET \
  --url https://api.example.com/v1/crm/residuals/{residualId}/merchant-summaries/{merchantSummaryId}/details \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "totalCount": 123,
    "totalPages": 123,
    "page": 123,
    "perPage": 123
  },
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "period": "<string>",
      "feeCategory": "<string>",
      "number": 0,
      "amount": 123,
      "income": 123,
      "expense": 123,
      "gross": 123,
      "split": 0,
      "total": 123,
      "merchantResidualId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchantMid": "<string>",
      "dba": "<string>",
      "agentName": "<string>",
      "partnerName": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

residualId
string
required
merchantSummaryId
string
required

Query Parameters

q
string
size
number
default:20
page
number
default:1
sort
string
default:-createdAt
filter
object
expand
searchable
string[]
before
object
after
object
audienceClientId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
residualId
string<uuid>
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

The paginated list of residual merchant details.

meta
object
required
data
object[]
required